Subject: bug#72861: 30.0.90; remote tramp (30.0.90): Couldn't find a proper `ls' command

From: Christopher Howard <[email-masked]>
Date: Thu, 05 Sep 2024 08:15:52 -0800

Michael Albinus <[email-masked]> writes:
>
> And here we are. Just /bin:/usr/bin is in the PATH.
> What's needed is, that you expand tramp-remote-path by the directories
> guis keeps the system programs. See the Tramp manual (info "(tramp) Remote programs")
>
> See also bug#64534. This is a Guix bug, that's why I haven't seen it
> until now. But IIUC, Guix offers some Tramp config in its own version of
> Emacs.
>

I'll try to follow up on the guix bug report. I added the appropriate directory to tramp-remote-path but that did not work. Perhaps the code for that is broken for Emacs 30.

-- 
Christopher Howard